-module(cake@internal@helper).
-compile([no_auto_import, nowarn_unused_vars, nowarn_unused_function, nowarn_nomatch]).

-export([qualified_identifier/1]).

-spec qualified_identifier(binary()) -> fun((binary()) -> binary()).
qualified_identifier(Scp) ->
    fun(Identifier) ->
        <<<<Scp/binary, "."/utf8>>/binary, Identifier/binary>>
    end.
